Bug 147905 - RFE: introduce booleans.d instead of/in addition to booleans file?
RFE: introduce booleans.d instead of/in addition to booleans file?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-12 09:16 EST by Alexandre Oliva
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 11:02:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2005-02-12 09:16:37 EST
A single booleans file is a problem for updates/upgrades that
introduce new booleans, if you've ever modified the booleans file
before.  The new settings will be in booleans.rpmnew, and new `active'
defaults won't take effect.

One possibility to overcome this problem would be to only add booleans
that defaulted to false.

Another possibility is to switch from a single booleans file to a
directory structure: booleans.d/<property> containing either 0/1, or
<property>=0/1.  The latter won't waste space and makes it easier to
cat them all together, but it makes room for introducing unrelated
settings under different filenames.

It's more work in maintaining the rpm, for sure, but it makes for
cleaner upgrades.
Comment 1 Daniel Walsh 2005-04-21 11:02:16 EDT
I have switched to using booleans.local instead of just booleans.

So now /etc/selinux/TYPE/booleans is config and booleans.local is config(noreplace)

Note You need to log in before you can comment on or make changes to this bug.